Name        : mnogosearch
Version     : 3.2.7
Release     : alt1
Group       : Text tools
License     : GPL
URL         : http://www.mnogosearch.ru/
Summary     : a full-featured search engine for intranet and internet servers.
Summary(ru_RU.KOI8-R)     :       
Source      : mnogosearch-%{version}.tar.bz2
# Patch0	    : mnogosearch-makefile.patch.bz2
Requires    : libMySQL, lib%name = %version

# Automatically added by buildreq on Fri Nov 09 2001
BuildRequires: libMySQL-devel zlib-devel
#
BuildConflicts: libMySQL-devel-static <= 3.23.44-alt1

%description 
mnoGoSearch (formerly known as UdmSearch) is a full-featured 
search engine software for intranet and internet servers.

%package -n lib%name
Summary: Shared libraries for  mnogosearch application
Group: Development/C
Requires: libMySQL

%description -n lib%name
Shared libraries for mnogosearch application

%package -n lib%name-devel
Summary: Headers to develop mnogosearch application
Group: Development/C
Requires: libMySQL-devel, lib%name = %version

%description -n lib%name-devel
Headers to develop mnogosearch application

%package -n lib%name-devel-static
Summary: Static libraries to develop mnogosearch application
Group: Development/C
Requires: libMySQL-devel, lib%name-devel = %version

%description -n lib%name-devel-static
Static libraries to develop mnogosearch application

%package cgi
Summary: CGI frontend to mnogosearch
Group: Networking/Other
Requires: %name = %version, apache, libMySQL

%description cgi
CGI frontend to mnogosearch search engine

%prep 
%setup -n %{name}-%{version} -q
# %patch0 -p1

%build
%configure --with-mysql=/usr --sysconfdir=/etc/mnogosearch --enable-shared\
	    --enable-phrase --enable-linux-pthreads --with-zlib --disable-news\
	    --localstatedir=/var/%name

%make_build

%install

%makeinstall sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/%name localstatedir=$RPM_BUILD_ROOT%_localstatedir/%name

pwd
mkdir -p $RPM_BUILD_ROOT/%_var/www/cgi-bin
install -m 755 src/.libs/search.cgi $RPM_BUILD_ROOT%_var/www/cgi-bin
install -m 755 src/.libs/storedoc.cgi $RPM_BUILD_ROOT%_var/www/cgi-bin
install -m 644 etc/indexer.conf-dist $RPM_BUILD_ROOT%_sysconfdir/%name/indexer.conf
install -m 644 etc/search.htm-dist $RPM_BUILD_ROOT%_sysconfdir/%name/search.htm

%clean

%files
%defattr(-,root,root)
%doc misc/m-search.gif README AUTHORS COPYING NEWS TODO ChangeLog INSTALL doc/* create/mysql
%_mandir/*/*
%_sbindir/*
%_localstatedir/%name
%_sysconfdir/%name

%files -n lib%name
%_libdir/libudmsearch*.so

%files -n lib%name-devel
%_bindir/udm-config
%_usr/include/*
%_libdir/libudmsearch.la

%files -n lib%name-devel-static
%_libdir/libudmsearch.*a

%files cgi
%_var/www/cgi-bin/*
%_sysconfdir/%name/search.htm
%attr(0700,apache,apache) %dir %_localstatedir/%name/raw

%changelog
* Fri Oct 18 2002 Kachalov Anton <mouse@altlinux.ru> 3.2.7-alt1
- 3.2.7

* Wed Mar 20 2002 Rider <rider@altlinux.ru> 3.1.19-alt2
- build fix

* Fri Nov 09 2001 Rider <rider@altlinux.ru> 3.1.19-alt1
- 3.1.19
- more libifications

* Fri Jun 15 2001 Rider <rider@altlinux.ru> 3.1.16-alt1
- 3.1.16

* Fri Jun 08 2001 Rider <rider@altlinux.ru> 3.1.15-alt1
- 3.1.15

* Wed Jun 06 2001 Rider <rider@altlinux.ru> 3.1.13-alt1
- 3.1.14

* Wed May 23 2001 Rider <rider@altlinux.ru> 3.1.13-alt1
- 3.1.13

* Tue Apr 03 2001 Rider <rider@altlinux.ru> 3.1.12-alt1
- bugfix (removed news extension)

* Thu Mar 13 2001 Rider <rider@altlinux.ru> 3.1.12-ipl3
- final (stable) 3.1.12 version from MnogoSearch developers

* Sun Mar 04 2001 Alexander Bokovoy <ab@avilink.net> 3.1.12-ipl2
- libification
- multi-threaded indexer
- Dependencies changed to follow current libMySQL state
- Shared library build added
- Group changed for mnogosearch package: 'Text tools' instead of 'Networking/Other'
- Headers are included into libmnogosearch-devel now
- Documentation about DB structure stripped down to MySQL in order
  to avoid misunderstooding
  
* Sun Mar 04 2001 Rider <rider@lrn.ru>
- first spec for RE
